;
;
;SUBROUTINES
;
Delay3						;delay 4*(W+1)TCY+2TCY
		nop				
Delay2						;delay 4*(W+1)TCY+1TCY
		nop				
Delay1						;delay 4*(W+1)TCY
		nop				
Delay0						;delay 4*(W+1)TCY-1TCY
		clrwdt
		addlw	-1			
		bnz	Delay0
		retlw	0x00			;W=0, Z=1, C=1
;Delay_end	
;
;
DelayM
		btfsc	delay_modulation,0
		bra	$+2
		rlncf	delay_modulation
		return
;DelayMEnd
;
;
;Wait
Wait1s
c_wait	SET	10000
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait100ms
c_wait	SET	1000
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait10ms
c_wait	SET	100
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait1ms
c_wait	SET	10
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait
c_wait_loop	SET	111
		movlw	B'11101110'
		movwf	delay_modulation
		movlw	(c_wait_loop-3)
;
wait_loop						;100us
		rcall	DelayM
		rcall	Delay1
		movlw	c_wait_loop
		infsnz	wait_counter0
		incfsz	wait_counter1
		bra	wait_loop
;
		return
;WaitEnd		
;
;
