;
;Verzija: 12120700
;VEZBA 7
;ZADATAK:
;Napraviti LOTO.
;Izvucene brojeve prikazati na 14, 7 segmentnih LED displeja koji podatke dobijaju
; iz 14 osmobitnih serial in parallel out shift registara. Displeji su sa zajednickom
; katodom. 
;Sortirati podatke i pronaci srednju cifru niza.
;Konvertovati podatke u ASCII format.
;Svakih 120ms/150ms naizmenicno slati, serijskom komunikacijom, po jedan podatak
; dok se ne posalju svi.
;
;POSTUPAK:
;Napisati podprogram za generisanje 16 bitnog pseudoslucajnog niza brojeva.
;Pri izvlacenju brojeva uzimati samo <b8:b3>.
;Brojeve iz opsega [1 - 39] smestati u buffer0 velicine 7 bajtova, pod uslovom
; da broj nije vec izvucen.
;Izvlaciti brojeve dok se u buffer0 ne upise 7 brojeva.
;Izvlacenje pocinje kada je "Taster" na 1.
;Pocetna vrednost za generator slucajnih borijeva je za visi bajt 0x00, a za nizi
; vrednost TMR0L u trenutku kada pocne izvlacenje.
;Sadrzaj buffer0 konvertovati u BCD format i rezultate smestiti u buffer1
;Sadrzaj buffer1 konvertovati u odgovarajuci kod za displej i rezultate smestiti u buffer2.
;Sadrzaj buffer2 upisati u shift registre. Voditi racuna da u buffer2 ima 21 bajt,
;a da se salje samo 14 bajtova.
;Napisati podprogram koji ce sadrzaj buffer0 poredjati u rastuci (opadajuci) niz.
;Pri izlasku iz podprograma u WREG upisati srednju cifru niza
;Sadrzaj buffer0 konvertovati u ASCII format i rezultate smestiti u buffer3
;Koristiti TMR0 i Interrupt za merenje vremena (postaviti Q=18.432MHz).
;
;DOMACI ZADATAK
;Nakon svaka dva poslata podatka, slati CR <0x0D>.