;
;******************************************************************************
AdcSet0		EQU	0x00		;ADC off
AdcSet1		EQU	0x0F		;all digital I/O
AdcSet2		EQU	0x06		;left, Fosc/64
;
;RA0 - 			output							
;RA1 - 			output						
;RA2 - 			output                
;RA3 - 			output
;RA4 - 			output                                     
;RA5 - 			output
RA_Out		EQU	B'00000000'	;RA output data
RA_Dir		EQU	B'00000000'	;RA directions
;
;RB0 -  		output
;RB1 - 			output
;RB2 - 			output
;RB3 - 			output
;RB4 - 			output
;RB5 - 			output          
;RB6 - Debug		input
;RB7 - Debug		input
RB_Out		EQU	B'00000000'	;RB output data
RB_Dir		EQU	B'11000000'	;RB directions
;
;RC0 - 			output
;RC1 - 			output			
;RC2 - 			output
;RC3 - I2C sclk		input
;RC4 - I2C data		input
;RC5 - ComRTS		output
;RC6 - ComTxD		output
;RC7 - ComRxD		input
RC_Out		EQU	B'01100000'	;RC output data
RC_Dir		EQU	B'10011000'	;RC directions
;
;RD0 - 			output
;RD1 - 			output
;RD2 - 			output
;RD3 - 			output
;RD4 - 			output
;RD5 - 			output
;RD6 - 			output
;RD7 - 			output
RD_Out		EQU	B'00000000'	;RD output data
RD_Dir		EQU	B'00000000'	;RD directions
;
;RE0 - 			output
;RE1 - 			output
;RE2 - 			output
RE_Out		EQU	B'00000000'	;RE output data
RE_Dir		EQU	B'00000000'	;RE directions
;
;
#DEFINE	ComRxD		PORTC,7		;input
#DEFINE	ComTxD		PORTC,6		;output
#DEFINE	ComRTS		PORTC,5		;output
#DEFINE	ComCTS		PORTA,5		;input
;
#DEFINE	flag0		flags0,0
#DEFINE	flag1		flags0,1
#DEFINE	flag2		flags0,2
#DEFINE	flag3		flags0,3
#DEFINE	flag4		flags0,4
#DEFINE	flag5		flags0,5
#DEFINE	flag6		flags0,6
#DEFINE	flag7		flags0,7
#DEFINE	temp0_flag	flags1,0
#DEFINE	temp1_flag	flags1,1
;
;******************************************************************************
c_16		EQU	0x10000
;******************************************************************************			
;
;
