;
InterruptHigh						;interrupt vector
;
SaveH							;save WREG, STATUS, BSR, FSR0
;
			;sadrzaj WREG registra smestiti u wreg_temp_h registar
			;sadrzaj STATUS registra smestiti u status_temp_h registar
			;sadrzaj BSR registra smestiti u bsr_temp_h registar
			;sadrzaj FSR0L registra smestiti u fsr0l_temp_h registar
			;sadrzaj FSR0H registra smestiti u fsr0h_temp_h registar
;
		SetBank1				;Bank 1
;SaveHEnd						
;
;
DetectEventsH
			;testirati da li je odobren interrupt po TMR0, ako jeste preskociti na testiranje da li je doslo do interrupt-a po TMR0
			;ako nije skociti na proveru sledeceg interrupt-a, labelu detect_events_h_next1
			;testirati da li je doslo do interrupt-a po TMR0, ako nije preskociti na proveru sledeceg interrupt-a
			;ako jeste skociti na labelu RealTimeClock
detect_events_h_next1
;
			bra	RestoreH		;false interrupt
;DetectEventsHEnd
;
;
RealTimeClock	
		bcf	INTCON,T0IF
		movlw	64
		addwf	rtc_prescaler
		movlw	180
		cpfslt	rtc_prescaler
		bra	real_time_clock_10ms
			bra	RestoreH
;
real_time_clock_10ms			
		subwf	rtc_prescaler
;
		decfsz	send_timer
		bra	send_timer_non_zero
send_timer_zero
		movlw	c_send_time0
		btfss	send_counter,0
		movlw	c_send_time1
		movwf	send_timer
		bsf	send_flag
send_timer_non_zero
;		
		decfsz	rtc_10ms
			bra	RestoreH
;
real_time_clock_100ms
		bsf	rtc_100ms_flag					
;
		movlw	10
		movwf	rtc_10ms
;
		decfsz	rtc_100ms
			bra	RestoreH
;
real_time_clock_1s
		bsf	rtc_1s_flag					
;
		movlw	10
		movwf	rtc_100ms
			bra	RestoreH
;
;RealTimeClockEnd	
;
;
RestoreH					;restore WREG, STATUS, BSR, FSR0 registra
;
			;vratiti prvobitan sadrzaj FSR0L registra
			;vratiti prvobitan sadrzaj FSR0H registra
			;vratiti prvobitan sadrzaj WREG registra
			;vratiti prvobitan sadrzaj BSR registra
			;vratiti prvobitan sadrzaj STATUS registra
;
;RestoreHEnd
;		
		retfie					;enable GIE
;InterruptHighEnd	
;
;
