;
;
;SUBROUTINES
;
Delay3						;delay 4*(W+1)TCY+2TCY
		nop				
Delay2						;delay 4*(W+1)TCY+1TCY
		nop				
Delay1						;delay 4*(W+1)TCY
		nop				
Delay0						;delay 4*(W+1)TCY-1TCY
		clrwdt
		addlw	-1			
		bnz	Delay0
		retlw	0x00			;W=0, Z=1, C=1
;Delay_end	
;
;
DelayM
		btfsc	delay_modulation,0
		bra	$+2
		rlncf	delay_modulation
		return
;DelayMEnd
;
;
;Wait
Wait1s
c_wait	SET	10000
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait100ms
c_wait	SET	1000
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait10ms
c_wait	SET	100
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait1ms
c_wait	SET	10
		movlw	high	(c_16-c_wait)
		movwf	wait_counter1
		movlw	low	(c_16-c_wait)
		movwf	wait_counter0
		bra	Wait
;
Wait
c_wait_loop	SET	111
		movlw	B'11101110'
		movwf	delay_modulation
		movlw	(c_wait_loop-3)
;
wait_loop						;100us
		rcall	DelayM
		rcall	Delay1
		movlw	c_wait_loop
		infsnz	wait_counter0
		incfsz	wait_counter1
		bra	wait_loop
;
		return
;WaitEnd	
;
;
;Slanje podataka po serijskoj liniji
SendCharacter
		btfss	PIR1,TXIF
		bra	$-2
		movwf	TXREG
		return
;SendCharacterEnd
;
;
KbdScan
		bcf	kbd_flag
;
		movlw	B'01111111'
		movwf	TRISD
		nop
		swapf	PORTD,W
		andlw	0xF0	
		movwf	scan_new1		
;		
		movlw	B'10111111'
		movwf	TRISD
		nop
		movf	PORTD,W
		andlw	0x0F
		iorwf	scan_new1		
;
		movlw	B'11011111'
		movwf	TRISD
		nop
		swapf	PORTD,W
		andlw	0xF0
		movwf	scan_new0		
;
		movlw	B'11101111'
		movwf	TRISD
		nop
		movf	PORTD,W
		andlw	0x0F
		iorwf	scan_new0		
;kod, samo za testiranje
	movlw	B'00000000'
	movwf	scan_new1
	movlw	B'00000000'
	movwf	scan_new0
;kraj koda za testiranje
		movf	scan_new1,W
		xorwf	scan_old1
		andwf	scan_old1
;
		movf	scan_new0,W
		xorwf	scan_old0
		andwf	scan_old0
;
		movlw	16
		movwf	loop_counter0
		movlw	0x00
kbd_scan_loop0		
		rlcf	scan_old0
		rlcf	scan_old1
		btfsc	STATUS,C
		rcall	KbdTable
		decfsz	loop_counter0
		bra	kbd_scan_loop0
;
		movwf	kbd_buffer
		movff	scan_new0,scan_old0
		movff	scan_new1,scan_old1
;
		return
;KbdScanEnd
;
;
KbdTable
		;setovati kbd_flag
		;napuniti TBLPTR-e sa adresom tabele TableKbd
		;
		;
		;
		;
		;
		;dekrementirati sadrzaj loop_counter -a, i rezultat smestiti u W
		;dodati sadrzaj WREG-a TBLPTR-ima, voditi racuna o prenosu
		;
		;
		;
		;
		;ocitati odgovarajuci podatak iz tabele, pri cemu ne menjati sadrzaj TBLPTR-a
		;ocitani podatak smestiti u W
		;vratiti se iz podprograma
;KbdTableEnd
;
TableKbd
		;definisati tabelu TableKbd sa podacima: "0123456789",CR,ESC,"ABCD"
;TableKbdEnd
;